<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <RootNamespace>audit_logs</RootNamespace>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        
        <!-- Informacion para NuGet -->
        <PackageId>AuditLogs</PackageId>
        <Version>1.0.20</Version> 
        <Authors>Epigram</Authors> 
        <Company>Epigram</Company> 
        <Description>Library for recording audit logs using MongoDB.</Description>
        <PackageTags>audit;logs;mongodb</PackageTags> 
        <RepositoryUrl>https://git.teralevel.io/jrojas/audit/src/branch/master/audit-logs</RepositoryUrl> <!-- URL del repo (si aplica) -->
        <PackageLicenseExpression>MIT</PackageLicenseExpression> 
        <PackageOutputPath>./nupkgs</PackageOutputPath> 
        <GeneratePackageOnBuild>true</GeneratePackageOnBuild> <!-- Genera el paquete al construir, revisar si sobra esta instruccion -->
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.Extensions.Hosting" Version="8.0.0" />
        <PackageReference Include="MongoDB.Driver" Version="2.23.1" />
        <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
        <PackageReference Include="Serilog" Version="4.0.2" />
    </ItemGroup>

</Project>
